<template>
  <el-dialog
    title="工艺配置单"
    width="95%"
    top="5vh"
    :close-on-click-modal="true"
    :visible.sync="visible"
    v-if="visible"
  >
    <div style="height: 650px;overflow: auto">
      <div
        class="node-content-remark"
        v-if="processConfigContentData.modelType == '01'"
      >
        <el-form
          class="configform1"
          :inline="true"
          ref="form"
          label-width="80px"
        >
          <el-form-item label="订单编号">
            {{ processConfigContentData.proNo }}
          </el-form-item>
          <el-form-item label="项目名称">
            {{ processConfigContentData.proName }}
          </el-form-item>
        </el-form>
        生产要求描述：
        <div class="remarkHtml" v-html="processConfigContentData.remark1"></div>
        印字举例：
        <div class="remarkHtml" v-html="processConfigContentData.remark2"></div>
        注意：
        <div class="remarkHtml" v-html="processConfigContentData.remark3"></div>
        备注：
        <div class="remarkHtml" v-html="processConfigContentData.remark4"></div>
      </div>

      <!--模板2-->
      <div
        class="node-content-remark"
        v-if="processConfigContentData.modelType == '02'"
      >
        <el-form
          class="configform2"
          :inline="true"
          ref="form"
          label-width="100px"
        >
          <div
            class="node-content-remark2"
            style="width: 90%;margin-left: 30px;"
          >
            <el-form-item label="合同编号：" style="width: 100%">
              {{ processConfigContentData.proNo }}
            </el-form-item>
            <el-form-item label="项目名称：" style="width: 100%">
              {{ processConfigContentData.proName }}
            </el-form-item>
            <el-form-item label="印字要求：" style="width: 100%">
              {{ processConfigContentData.printReq }}
            </el-form-item>
            <div
              class="remarkHtml"
              v-html="processConfigContentData.remark1"
            ></div>
            <div
              class="remarkHtml"
              v-html="processConfigContentData.remark2"
            ></div>
            <el-form-item label="实际印字要求：" style="width: 100%">
              {{ processConfigContentData.realPrintReq }}
            </el-form-item>
            <el-row class="bodyrow">
              <el-col :span="5">
                <div class="param-top">
                  <div class="form-item" style="text-align: left">
                    <label>发泡缆芯(Φmm)</label>
                    <div>
                      {{ processConfigContentData.cableCore }}
                    </div>
                  </div>
                </div>
              </el-col>
              <el-col :span="3">
                <div style="text-align: right;padding-right: 20px">
                  护套模具：
                </div>
              </el-col>
              <el-col :span="3">
                <div class="param-top">
                  <div class="form-item">
                    <label>模芯(Φmm)</label>
                    <div>
                      {{ processConfigContentData.modelCore }}
                    </div>
                  </div>
                </div>
              </el-col>
              <el-col :span="3">
                <div class="param-top">
                  <div class="form-item">
                    <label>模套(Φmm)</label>
                    <div>
                      {{ processConfigContentData.modelSleeve }}
                    </div>
                  </div>
                </div>
              </el-col>
              <el-col :span="3"
                ><div class="param-top">
                  <div class="form-item">
                    <label>定径模(Φmm)</label>
                    <div>
                      {{ processConfigContentData.sizingModel }}
                    </div>
                  </div>
                </div>
              </el-col>
              <el-col :span="3"
                ><div class="param-top">
                  <div class="form-item">
                    <label>绞合模(Φmm)</label>
                    <div>
                      {{ processConfigContentData.strandModel }}
                    </div>
                  </div>
                </div>
              </el-col>
            </el-row>
            <div
              class="remarkHtml"
              v-html="processConfigContentData.remark3"
            ></div>
            <el-table
              :data="processConfigContentData.processConfigDataList"
              style="width: 100%;margin-top: 10px"
              border
            >
              <el-table-column prop="date" label="频率(MHz)">
                <template slot-scope="scope">
                  {{ scope.row.frequency }}
                </template>
              </el-table-column>
              <el-table-column prop="name" label="最大传送衰减(dB/km)">
                <template slot-scope="scope">
                  {{ scope.row.deliveryReduce }}
                </template>
              </el-table-column>
              <el-table-column prop="province" label="耦合损耗max(dB),2米,95%">
                <template slot-scope="scope">
                  {{ scope.row.couplingLoss }}
                </template>
              </el-table-column>
            </el-table>
            <el-form-item
              label="工作频带内驻波比："
              style="width: 100%"
              label-width="120px"
            >
              {{ processConfigContentData.workFrequency }}
            </el-form-item>
            <el-form-item
              label="频率范围："
              style="width: 100%"
              label-width="100px"
            >
              {{ processConfigContentData.frequencyRange }}
            </el-form-item>
            <el-form-item
              label="直流电阻："
              style="width: 100%"
              label-width="100px"
            >
              {{ processConfigContentData.resistance }}
            </el-form-item>
            <div
              class="remarkHtml"
              v-html="processConfigContentData.remark4"
            ></div>
          </div>
        </el-form>
      </div>
    </div>
    <span slot="footer" class="dialog-footer">
      <el-button @click="visible = false">关闭</el-button>
    </span>
  </el-dialog>
</template>

<script>
import { getProcessConfigContent } from '@/api/plan/customerorder'
export default {
  components: {},
  data() {
    return {
      visible: false,
      processConfigContentData: {}
    }
  },
  methods: {
    init(x) {
      this.visible = true
      getProcessConfigContent({
        orderNo: x.customerOrderNo,
        otcLineNo: x.otcLineNo
      }).then((res) => {
        this.processConfigContentData = res.data.data
        const processConfigDataList = []
        for (
          let i = 0;
          i < this.processConfigContentData.processConfigDataList.length;
          i++
        ) {
          const d = this.processConfigContentData.processConfigDataList[i]
          if (d.couplingLoss || d.deliveryReduce || d.frequency) {
            processConfigDataList.push(
              this.processConfigContentData.processConfigDataList[i]
            )
          }
        }
        this.processConfigContentData.processConfigDataList = processConfigDataList
        console.log(this.processConfigContentData)
      })
    }
  }
}
</script>

<style lang="scss" scoped>
.remarkHtml {
  min-height: 100px;
  border: 1px solid #eeeeee;
  padding: 0 20px;
}

.node-content-remark .el-form-item {
  border: 1px solid #eeeeee;
  border-bottom: none;
  margin-bottom: 0px !important;
}
.node-content-remark2 .el-form-item {
  border: 1px solid #eeeeee;
  border-bottom: none;
  margin-bottom: 0px !important;
}
.el-card__header {
  background-color: #f5f5f5;
  padding: 10px 15px;
}
.el-card__body {
  padding: 0px 0px;
}
/deep/ .quill-editor {
  .ql-container {
    height: 100px;
    overflow: auto;
  }
}

.bodyrow {
  border: 1px solid #eeeeee;
  .el-input {
    width: 80%;
  }
  .form-item {
    text-align: center;
  }
}
</style>
